freedb_window.c File Reference
`#include "freedb_window.h"`
Include dependency graph for freedb_window.c:

Go to the source code of this file.

## Enumerations

enum | { ALBUM_NAME, NUMBER, FREEDB_TABLE }

## Functions

GtkWidget * | create_freedb_frame (ui_state *ui)
void | hide_freedb_spinner (gui_state *gui)
void | update_splitpoints_from_mp3splt_state (ui_state *ui)

## Detailed Description

The freedb tab

this file is used for the cddb tab (for searching on freedb)

Definition in file freedb_window.c.

## Function Documentation

GtkWidget* create_freedb_frame | ( | ui_state * | ui | ) |

creates the freedb box

Definition at line 531 of file freedb_window.c.

References wh_create_cool_button().

Here is the call graph for this function:

void update_splitpoints_from_mp3splt_state | ( | ui_state * | ui | ) |

updates the current splitpoints in ui->mp3splt_state

Takes the splitpoints from the table displayed in the gui

max_splits is the maximum number of splitpoints to update

Definition at line 381 of file freedb_window.c.

References add_row(), mp3splt_get_splitpoints(), mp3splt_point_get_name(), mp3splt_point_get_type(), mp3splt_point_get_value(), mp3splt_points_init_iterator(), mp3splt_points_next(), print_status_bar_confirmation(), remove_all_rows(), SPLT_FALSE, SPLT_SKIPPOINT, SPLT_SPLITPOINT, SPLT_TRUE, transform_to_utf8(), update_hundr_secs_from_spinner(), update_minutes_from_spinner(), and update_seconds_from_spinner().

Here is the call graph for this function: